Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Compile sdp.c only if we have found a working libsdp.
[simgrid.git] / examples / simdag / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = ../..
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 check_PROGRAMS = sd_test$(EXEEXT)
45 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
46         $(srcdir)/test_simdag.in $(top_srcdir)/acmacro/dist-files.mk
47 subdir = examples/simdag
48 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
49 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
50         $(top_srcdir)/acmacro/compiler-flags.m4 \
51         $(top_srcdir)/acmacro/context.m4 \
52         $(top_srcdir)/acmacro/fancy_configury.m4 \
53         $(top_srcdir)/acmacro/flex.m4 \
54         $(top_srcdir)/acmacro/gras_arch.m4 \
55         $(top_srcdir)/acmacro/print_null.m4 \
56         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
57 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
58         $(ACLOCAL_M4)
59 mkinstalldirs = $(install_sh) -d
60 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
61 CONFIG_CLEAN_FILES = test_simdag
62 am_sd_test_OBJECTS = sd_test.$(OBJEXT)
63 sd_test_OBJECTS = $(am_sd_test_OBJECTS)
64 sd_test_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
65 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
66 depcomp = $(SHELL) $(top_srcdir)/depcomp
67 am__depfiles_maybe = depfiles
68 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
69         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
70 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
71         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
72         $(AM_CFLAGS) $(CFLAGS)
73 CCLD = $(CC)
74 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
75         $(AM_LDFLAGS) $(LDFLAGS) -o $@
76 SOURCES = $(sd_test_SOURCES)
77 DIST_SOURCES = $(sd_test_SOURCES)
78 ETAGS = etags
79 CTAGS = ctags
80 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
81 ACLOCAL = @ACLOCAL@
82 ADDR2LINE = @ADDR2LINE@
83 AMDEP_FALSE = @AMDEP_FALSE@
84 AMDEP_TRUE = @AMDEP_TRUE@
85 AMTAR = @AMTAR@
86 AR = @AR@
87 AS = @AS@
88 AUTOCONF = @AUTOCONF@
89 AUTOHEADER = @AUTOHEADER@
90 AUTOMAKE = @AUTOMAKE@
91 AWK = @AWK@
92 BASH = @BASH@
93 CC = @CC@
94 CCDEPMODE = @CCDEPMODE@
95 CFLAGS = @CFLAGS@
96 CPP = @CPP@
97 CPPFLAGS = @CPPFLAGS@
98 CXX = @CXX@
99 CXXCPP = @CXXCPP@
100 CXXDEPMODE = @CXXDEPMODE@
101 CXXFLAGS = @CXXFLAGS@
102 CYGPATH_W = @CYGPATH_W@
103 DEFS = @DEFS@
104 DEPDIR = @DEPDIR@
105 DLLTOOL = @DLLTOOL@
106 DOXYGEN = @DOXYGEN@
107 ECHO = @ECHO@
108 ECHO_C = @ECHO_C@
109 ECHO_N = @ECHO_N@
110 ECHO_T = @ECHO_T@
111 EGREP = @EGREP@
112 EXEEXT = @EXEEXT@
113 F77 = @F77@
114 FFLAGS = @FFLAGS@
115 FLEXML = @FLEXML@
116 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
117 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
118 GRAS_DEP = @GRAS_DEP@
119 GREP = @GREP@
120 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
121 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
122 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
123 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
124 INSTALL_DATA = @INSTALL_DATA@
125 INSTALL_PROGRAM = @INSTALL_PROGRAM@
126 INSTALL_SCRIPT = @INSTALL_SCRIPT@
127 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
128 LDFLAGS = @LDFLAGS@
129 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
130 LEX = @LEX@
131 LEXLIB = @LEXLIB@
132 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
133 LIBOBJS = @LIBOBJS@
134 LIBS = @LIBS@
135 LIBTOOL = @LIBTOOL@
136 LN_S = @LN_S@
137 LTLIBOBJS = @LTLIBOBJS@
138 MAINT = @MAINT@
139 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
140 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
141 MAKEINFO = @MAKEINFO@
142 MD5SUM = @MD5SUM@
143 OBJDUMP = @OBJDUMP@
144 OBJEXT = @OBJEXT@
145 PACKAGE = @PACKAGE@
146 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
147 PACKAGE_NAME = @PACKAGE_NAME@
148 PACKAGE_STRING = @PACKAGE_STRING@
149 PACKAGE_TARNAME = @PACKAGE_TARNAME@
150 PACKAGE_VERSION = @PACKAGE_VERSION@
151 PATH_SEPARATOR = @PATH_SEPARATOR@
152 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
153 RANLIB = @RANLIB@
154 SET_MAKE = @SET_MAKE@
155 SHELL = @SHELL@
156 SIMGRID_DEP = @SIMGRID_DEP@
157 STRIP = @STRIP@
158 VERSION = @VERSION@
159 WARNING = @WARNING@
160 abs_builddir = @abs_builddir@
161 abs_srcdir = @abs_srcdir@
162 abs_top_builddir = @abs_top_builddir@
163 abs_top_srcdir = @abs_top_srcdir@
164 ac_configure_args = @ac_configure_args@
165 ac_ct_CC = @ac_ct_CC@
166 ac_ct_CXX = @ac_ct_CXX@
167 ac_ct_F77 = @ac_ct_F77@
168 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
169 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
170 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
171 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
172 am__include = @am__include@
173 am__leading_dot = @am__leading_dot@
174 am__quote = @am__quote@
175 am__tar = @am__tar@
176 am__untar = @am__untar@
177 bindir = @bindir@
178 build = @build@
179 build_alias = @build_alias@
180 build_cpu = @build_cpu@
181 build_id = @build_id@
182 build_os = @build_os@
183 build_vendor = @build_vendor@
184 datadir = @datadir@
185 datarootdir = @datarootdir@
186 docdir = @docdir@
187 dvidir = @dvidir@
188 exec_prefix = @exec_prefix@
189 host = @host@
190 host_alias = @host_alias@
191 host_cpu = @host_cpu@
192 host_os = @host_os@
193 host_vendor = @host_vendor@
194 htmldir = @htmldir@
195 includedir = @includedir@
196 infodir = @infodir@
197 install_sh = @install_sh@
198 libdir = @libdir@
199 libexecdir = @libexecdir@
200 localedir = @localedir@
201 localstatedir = @localstatedir@
202 mandir = @mandir@
203 mkdir_p = @mkdir_p@
204 oldincludedir = @oldincludedir@
205 pdfdir = @pdfdir@
206 prefix = @prefix@
207 program_transform_name = @program_transform_name@
208 psdir = @psdir@
209 pth_skaddr_makecontext = @pth_skaddr_makecontext@
210 pth_sksize_makecontext = @pth_sksize_makecontext@
211 sbindir = @sbindir@
212 sharedstatedir = @sharedstatedir@
213 sysconfdir = @sysconfdir@
214 target = @target@
215 target_alias = @target_alias@
216 target_cpu = @target_cpu@
217 target_os = @target_os@
218 target_vendor = @target_vendor@
219 INCLUDES = -I$(top_srcdir)/include
220 AM_CFLAGS = -g
221 EXTRA_DIST = small_platform.xml
222 CLEANFILES = sd_test.trace
223 TESTS = test_simdag
224 sd_test_SOURCES = sd_test.c
225 sd_test_LDADD = $(top_builddir)/src/libsimgrid.la
226 all: all-am
227
228 .SUFFIXES:
229 .SUFFIXES: .c .lo .o .obj
230 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
231         @for dep in $?; do \
232           case '$(am__configure_deps)' in \
233             *$$dep*) \
234               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
235                 && exit 0; \
236               exit 1;; \
237           esac; \
238         done; \
239         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/simdag/Makefile'; \
240         cd $(top_srcdir) && \
241           $(AUTOMAKE) --gnu  examples/simdag/Makefile
242 .PRECIOUS: Makefile
243 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
244         @case '$?' in \
245           *config.status*) \
246             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
247           *) \
248             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
249             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
250         esac;
251
252 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
253         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
254
255 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
256         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
257 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
258         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
259 test_simdag: $(top_builddir)/config.status $(srcdir)/test_simdag.in
260         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
261
262 clean-checkPROGRAMS:
263         @list='$(check_PROGRAMS)'; for p in $$list; do \
264           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
265           echo " rm -f $$p $$f"; \
266           rm -f $$p $$f ; \
267         done
268 sd_test$(EXEEXT): $(sd_test_OBJECTS) $(sd_test_DEPENDENCIES) 
269         @rm -f sd_test$(EXEEXT)
270         $(LINK) $(sd_test_LDFLAGS) $(sd_test_OBJECTS) $(sd_test_LDADD) $(LIBS)
271
272 mostlyclean-compile:
273         -rm -f *.$(OBJEXT)
274
275 distclean-compile:
276         -rm -f *.tab.c
277
278 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
279
280 .c.o:
281 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
282 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
283 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
284 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
285 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
286
287 .c.obj:
288 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
289 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
290 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
291 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
292 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
293
294 .c.lo:
295 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
296 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
297 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
298 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
299 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
300
301 mostlyclean-libtool:
302         -rm -f *.lo
303
304 clean-libtool:
305         -rm -rf .libs _libs
306
307 distclean-libtool:
308         -rm -f libtool
309 uninstall-info-am:
310
311 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
312         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
313         unique=`for i in $$list; do \
314             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
315           done | \
316           $(AWK) '    { files[$$0] = 1; } \
317                END { for (i in files) print i; }'`; \
318         mkid -fID $$unique
319 tags: TAGS
320
321 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
322                 $(TAGS_FILES) $(LISP)
323         tags=; \
324         here=`pwd`; \
325         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
326         unique=`for i in $$list; do \
327             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
328           done | \
329           $(AWK) '    { files[$$0] = 1; } \
330                END { for (i in files) print i; }'`; \
331         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
332           test -n "$$unique" || unique=$$empty_fix; \
333           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
334             $$tags $$unique; \
335         fi
336 ctags: CTAGS
337 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
338                 $(TAGS_FILES) $(LISP)
339         tags=; \
340         here=`pwd`; \
341         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
342         unique=`for i in $$list; do \
343             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
344           done | \
345           $(AWK) '    { files[$$0] = 1; } \
346                END { for (i in files) print i; }'`; \
347         test -z "$(CTAGS_ARGS)$$tags$$unique" \
348           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
349              $$tags $$unique
350
351 GTAGS:
352         here=`$(am__cd) $(top_builddir) && pwd` \
353           && cd $(top_srcdir) \
354           && gtags -i $(GTAGS_ARGS) $$here
355
356 distclean-tags:
357         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
358
359 check-TESTS: $(TESTS)
360         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
361         srcdir=$(srcdir); export srcdir; \
362         list='$(TESTS)'; \
363         if test -n "$$list"; then \
364           for tst in $$list; do \
365             if test -f ./$$tst; then dir=./; \
366             elif test -f $$tst; then dir=; \
367             else dir="$(srcdir)/"; fi; \
368             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
369               all=`expr $$all + 1`; \
370               case " $(XFAIL_TESTS) " in \
371               *" $$tst "*) \
372                 xpass=`expr $$xpass + 1`; \
373                 failed=`expr $$failed + 1`; \
374                 echo "XPASS: $$tst"; \
375               ;; \
376               *) \
377                 echo "PASS: $$tst"; \
378               ;; \
379               esac; \
380             elif test $$? -ne 77; then \
381               all=`expr $$all + 1`; \
382               case " $(XFAIL_TESTS) " in \
383               *" $$tst "*) \
384                 xfail=`expr $$xfail + 1`; \
385                 echo "XFAIL: $$tst"; \
386               ;; \
387               *) \
388                 failed=`expr $$failed + 1`; \
389                 echo "FAIL: $$tst"; \
390               ;; \
391               esac; \
392             else \
393               skip=`expr $$skip + 1`; \
394               echo "SKIP: $$tst"; \
395             fi; \
396           done; \
397           if test "$$failed" -eq 0; then \
398             if test "$$xfail" -eq 0; then \
399               banner="All $$all tests passed"; \
400             else \
401               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
402             fi; \
403           else \
404             if test "$$xpass" -eq 0; then \
405               banner="$$failed of $$all tests failed"; \
406             else \
407               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
408             fi; \
409           fi; \
410           dashes="$$banner"; \
411           skipped=""; \
412           if test "$$skip" -ne 0; then \
413             skipped="($$skip tests were not run)"; \
414             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
415               dashes="$$skipped"; \
416           fi; \
417           report=""; \
418           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
419             report="Please report to $(PACKAGE_BUGREPORT)"; \
420             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
421               dashes="$$report"; \
422           fi; \
423           dashes=`echo "$$dashes" | sed s/./=/g`; \
424           echo "$$dashes"; \
425           echo "$$banner"; \
426           test -z "$$skipped" || echo "$$skipped"; \
427           test -z "$$report" || echo "$$report"; \
428           echo "$$dashes"; \
429           test "$$failed" -eq 0; \
430         else :; fi
431
432 distdir: $(DISTFILES)
433         $(mkdir_p) $(distdir)/../../acmacro
434         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
435         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
436         list='$(DISTFILES)'; for file in $$list; do \
437           case $$file in \
438             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
439             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
440           esac; \
441           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
442           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
443           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
444             dir="/$$dir"; \
445             $(mkdir_p) "$(distdir)$$dir"; \
446           else \
447             dir=''; \
448           fi; \
449           if test -d $$d/$$file; then \
450             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
451               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
452             fi; \
453             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
454           else \
455             test -f $(distdir)/$$file \
456             || cp -p $$d/$$file $(distdir)/$$file \
457             || exit 1; \
458           fi; \
459         done
460 check-am: all-am
461         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
462         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
463 check: check-am
464 all-am: Makefile
465 installdirs:
466 install: install-am
467 install-exec: install-exec-am
468 install-data: install-data-am
469 uninstall: uninstall-am
470
471 install-am: all-am
472         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
473
474 installcheck: installcheck-am
475 install-strip:
476         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
477           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
478           `test -z '$(STRIP)' || \
479             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
480 mostlyclean-generic:
481
482 clean-generic:
483         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
484
485 distclean-generic:
486         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
487
488 maintainer-clean-generic:
489         @echo "This command is intended for maintainers to use"
490         @echo "it deletes files that may require special tools to rebuild."
491 clean: clean-am
492
493 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
494         mostlyclean-am
495
496 distclean: distclean-am
497         -rm -rf ./$(DEPDIR)
498         -rm -f Makefile
499 distclean-am: clean-am distclean-compile distclean-generic \
500         distclean-libtool distclean-tags
501
502 dvi: dvi-am
503
504 dvi-am:
505
506 html: html-am
507
508 info: info-am
509
510 info-am:
511
512 install-data-am:
513
514 install-exec-am:
515
516 install-info: install-info-am
517
518 install-man:
519
520 installcheck-am:
521
522 maintainer-clean: maintainer-clean-am
523         -rm -rf ./$(DEPDIR)
524         -rm -f Makefile
525 maintainer-clean-am: distclean-am maintainer-clean-generic
526
527 mostlyclean: mostlyclean-am
528
529 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
530         mostlyclean-libtool
531
532 pdf: pdf-am
533
534 pdf-am:
535
536 ps: ps-am
537
538 ps-am:
539
540 uninstall-am: uninstall-info-am
541
542 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
543         clean-checkPROGRAMS clean-generic clean-libtool ctags \
544         distclean distclean-compile distclean-generic \
545         distclean-libtool distclean-tags distdir dvi dvi-am html \
546         html-am info info-am install install-am install-data \
547         install-data-am install-exec install-exec-am install-info \
548         install-info-am install-man install-strip installcheck \
549         installcheck-am installdirs maintainer-clean \
550         maintainer-clean-generic mostlyclean mostlyclean-compile \
551         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
552         tags uninstall uninstall-am uninstall-info-am
553
554
555 dist-files:
556         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
557         @echo
558         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
559 # Tell versions [3.59,3.63) of GNU make to not export all variables.
560 # Otherwise a system limit (for SysV at least) may be exceeded.
561 .NOEXPORT: